<?php

/**
* Make partial mock
*/
Mock::generatePartial('Wact_Template_Compiler_Node_Inline','Wact_Template_Compiler_Node_InlineTestVersion',
    array('preGenerate','generateContents','postGenerate'));
//Mock::generate('Wact_Php_Writer', 'MockCodeWriter');

class Wact_Template_Compiler_Node_InlineTestCase extends Wact_Test_Case {

    function setUp() {
        $this->node = new Wact_Template_Compiler_Node_Inline('testtag', NULL, 
          new Wact_Template_Compiler_Location('file', 123));
    }

    function tearDown() {
        unset ( $this->node );
        parent::tearDown();
    }

    /* Avoid re-tests for time being, as static value in memory ... */

    function testGetViewIdNew() {
    }

    function testGetViewIdNewAgain() {
    }
}
?>
